One Star

There is no valid items to import

I am having a problem in 6.1.1 where I try to import a zipped project and it says "There is no valid items to import".  I know I am importing valid items and I have checked the "Overwrite existing items" checkbox.  This happened a month ago as well and I had to reinstall Talend.  This is an undesirable option.  Is there a corrupted .jar or something?
- Bob
8 REPLIES
Seventeen Stars

Re: There is no valid items to import

You do not need to reinstall Talend! How do you have exported the items. I hope you have used the Item Export (right click from the node Job Design) ? Otherwise your export is not a valid item export.
An Item Export is actually nothing else then to compress an part of the project and put it into a zip file. If you unpack this file, does it has a talend.project file in the root dir and some folders like process or connections?
If you mind, it would be great to see the directory structure here.
One Star

Re: There is no valid items to import

Items that I have just exported can't even be imported.  It appears to attempt to display a message box for a blink of an eye.  Goes away too fast to see it.  I have been using Talend for many years.  But, 6.1.1 is a recent upgrade.
Seventeen Stars

Re: There is no valid items to import

I have not experienced this. What do you see in the log file? <workspace>/.metadata/.log
I guess there is a invalid xml file - perhaps accidentally created for unknown reason.
One Star

Re: There is no valid items to import

!SESSION 2016-05-19 10:47:01.847 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_80
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments:  -talendReload false
Command-line arguments:  -os win32 -ws win32 -arch x86 -talendReload false
This is a continuation of log file C:\Talend\Talend-Studio-20151214_1327-V6.1.1\workspace\.metadata\.bak_0.log
Created Time: 2016-05-19 10:47:08.718
!ENTRY org.eclipse.emf.ecore 2 0 2016-05-19 10:47:08.719
!MESSAGE Both 'org.talend.model' and 'org.talend.model' register a package for 'platform:/resource/org.talend.model/model/TalendFile.xsd'
!ENTRY org.talend.platform.logging 1 0 2016-05-19 10:47:13.476
!MESSAGE 2016-05-19 10:47:13,474 INFO  org.talend.repository.ui.login.LoginProjectPage  - validate updatesite...

!ENTRY org.talend.platform.logging 1 0 2016-05-19 10:47:31.137
!MESSAGE 2016-05-19 10:47:31,136 INFO  org.talend.datacleansing.core.CleansingActivator  - Starting Talend Data Profiler platform.

!ENTRY org.talend.platform.logging 1 0 2016-05-19 10:47:34.107
!MESSAGE 2016-05-19 10:47:34,106 INFO  org.talend.core.repository.model.ProxyRepositoryFactory  - Rachwal, Bob logged on BR_PROD_WIN

!ENTRY org.talend.platform.logging 1 0 2016-05-19 10:47:42.860
!MESSAGE 2016-05-19 10:47:42,858 INFO  org.talend.core.repository.logintask.ReadOnlyProjectConfirm  - ReadOnly confirm

!ENTRY org.talend.platform.logging 1 0 2016-05-19 10:47:53.638
!MESSAGE 2016-05-19 10:47:53,637 INFO  org.talend.repository.view.remote.InitializeLockStatusLoginTask  - Initialize lock status

!ENTRY org.eclipse.ui 2 2 2016-05-19 10:48:02.010
!MESSAGE Invalid preference category path: org.talend.designer.runtime.visualization.internal.ui.JavaMonitorPreferencePage (bundle: org.talend.designer.runtime.visualization.tools, page: org.talend.designer.runtime.visualization.internal.tools.ToolsPreferencePage)
!SESSION 2016-05-19 11:17:17.432 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_80
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments:  -talendReload false
Command-line arguments:  -os win32 -ws win32 -arch x86 -talendReload false
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2016-05-19 11:17:19.192
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.m2e.discovery 4 0 2016-05-19 11:17:19.205
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.m2e.discovery
  Unresolved requirement: Import-Package: org.eclipse.equinox.internal.p2.discovery.compatibility
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2016-05-19 11:17:19.254
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.emf.ecore 2 0 2016-05-19 11:17:23.101
!MESSAGE Both 'org.talend.model' and 'org.talend.model' register a package for 'platform:/resource/org.talend.model/model/TalendFile.xsd'
!ENTRY org.talend.platform.logging 1 0 2016-05-19 11:17:27.134
!MESSAGE 2016-05-19 11:17:27,132 INFO  org.talend.repository.ui.login.LoginProjectPage  - validate updatesite...

!ENTRY org.talend.platform.logging 1 0 2016-05-19 11:17:46.534
!MESSAGE 2016-05-19 11:17:46,529 INFO  org.talend.datacleansing.core.CleansingActivator  - Starting Talend Data Profiler platform.

!ENTRY org.talend.platform.logging 1 0 2016-05-19 11:17:49.159
!MESSAGE 2016-05-19 11:17:49,158 INFO  org.talend.core.repository.model.ProxyRepositoryFactory  - Rachwal, Bob logged on BR_Production

!ENTRY org.talend.platform.logging 1 0 2016-05-19 11:17:57.715
!MESSAGE 2016-05-19 11:17:57,713 INFO  org.talend.core.repository.logintask.ReadOnlyProjectConfirm  - ReadOnly confirm

!ENTRY org.talend.platform.logging 1 0 2016-05-19 11:18:12.818
!MESSAGE 2016-05-19 11:18:12,817 INFO  org.talend.repository.view.remote.InitializeLockStatusLoginTask  - Initialize lock status

!ENTRY org.eclipse.ui 2 2 2016-05-19 11:18:16.896
!MESSAGE Invalid preference category path: org.talend.designer.runtime.visualization.internal.ui.JavaMonitorPreferencePage (bundle: org.talend.designer.runtime.visualization.tools, page: org.talend.designer.runtime.visualization.internal.tools.ToolsPreferencePage)
!SESSION 2016-05-19 12:17:34.897 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_80
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments:  -talendReload false
Command-line arguments:  -os win32 -ws win32 -arch x86 -talendReload false
!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2016-05-19 12:17:36.760
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.m2e.discovery 4 0 2016-05-19 12:17:36.771
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.m2e.discovery
  Unresolved requirement: Import-Package: org.eclipse.equinox.internal.p2.discovery.compatibility
at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
!ENTRY org.eclipse.jdt.launching.macosx 4 0 2016-05-19 12:17:36.791
Seventeen Stars

Re: There is no valid items to import

Ok here is no hint about your issue. Could you please close your studio and delete the folder <studio>/configuration/org.eclipse.osgi
Do not worry, this is a kind of cache and will be recreated again without any problems. Start the studio again and try the import again.
I can offer I can try to import of your items.
One Star

Re: There is no valid items to import

I should note that my coworkers can import these files.
Seventeen Stars

Re: There is no valid items to import

Could you please export your own items and create a new workspace and try to import the "problem child"?
I guess your workspace is perhaps damaged.
One Star

Re: There is no valid items to import

<tipping hat>  That worked.  Many thank you's for allowing me to take some of your time away from whatever you were doing.  I really appreciate it.